
/* Appintment Detail Modal  */
var modalStructure = '<!-- Modal form-->' +
        '<div class="modal fade" id="myModal" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">' +
        '<div class="modal-dialog ">' +
        '<div class="modal-content">' +
        '<div class="modal-header">' +
        '<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>' +
        '<h4 class="modal-title" id="myModalLabel"></h4>' +
        '</div>' +
        '<div class="modal-body" id="modal-bodyku">' +
        '</div>' +
        '<div class="modal-footer" id="modal-footerq">' +
        '</div>' +
        '</div>' +
        '</div>' +
        '</div>' +
        '<!-- end of modal ------------------------------>';
var objDate = new Date();
var salonUser = JSON.parse(localStorage.user || '{}');//localStorage.getObject('user');

//API_URL = "http://192.168.0.102";
//Load Modal Structure on Page
$('body').append(modalStructure);
var magnificPopup = $('#myModal').magnificPopup({
    type: 'inline'
});
$.magnificPopup.close();

function showAppointmentDetail(appointmentID, eventData) {
    var url = "/getAppointmentDetail";
    $.get(API_URL + url + '/' + appointmentID, function (data) {
        var content = '';
        var name = eventData.custname !== null ? eventData.custname : eventData.full_name;
        var email = eventData.custemail !== null ? eventData.custemail : eventData.email;
        var phone = eventData.custphone !== null ? eventData.custphone : eventData.phone;
        content += 'Client: ' + name + '<br/>email: ' + email + '<br/>phone: ' + phone + '<hr>';
        $.each(data, function (index, obj) {
            content += 'Category : ' + obj.category + '</br> Service : ' + obj.service + '</br> Staff : ' + obj.name + '</br> Time : ' + moment(obj.service_time * 1000).format('DD-MM-YYYY HH:mm') + '</br> Price : £ ' + obj.price + '</br><hr>';
        });
        var size = '';
        var title = 'Appointment Detail';
        var footer = '<button type="button" class="button button-assertive pull-left" data-dismiss="modal">Close</button>';
        setModalBox(title, content, footer, size);
        $('#myModal').modal('show');
    });
}

function showAppointmentDetail1(appointmentID) {
    var url = "/getAppointmentDetail1";
    $.get(API_URL + url + '/' + appointmentID, function (data) {
        var content = '<table id="example1" class="table table-bordered table-striped">' +
                '<thead>' +
                '<tr>' +
                '<th>Category</th>' +
                '<th>Service Name</th>' +
                '<th>Staff</th>' +
                '<th>Service Time</th>' +
                '<th>Price</th>' +
                '</tr>' +
                '</thead><tbody>';
        $.each(data, function (index, obj) {
            content += '<tr><td>' + obj.category + '</td><td>' + obj.service + '</td><td>' + obj.name + '</td><td>' + new Date(obj.service_time * 1000) + '</td><td>' + obj.price + '</td></tr>';
        });
        var size = '';
        var title = 'Appointment Detail';
        var footer = '<button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>';
        setModalBox(title, content, footer, size);
        $('#myModal').modal('show');
    });
}

function setModalBox(title, content, footer, $size)
{
    document.getElementById('modal-bodyku').innerHTML = content;
    document.getElementById('myModalLabel').innerHTML = title;
    document.getElementById('modal-footerq').innerHTML = footer;
    $('#myModal').attr('class', 'modal fade bs-example-modal-md')
            .attr('aria-labelledby', 'mySmallModalLabel');
    $('.modal-dialog').attr('class', 'modal-dialog modal-md');
}


function showPostBid(postID) {
    var url = "/getPostBid";

    $.get(API_URL + url + '/' + postID, function (data) {
        var content = '<table id="example1" class="table table-bordered table-striped">' +
                '<thead>' +
                '<tr>' +
                '<th>Salon</th>' +
                '<th>Bid Value</th>' +
                '<th>Action</th>' +
                '</tr>' +
                '</thead><tbody>';
        $.each(data, function (index, obj) {
            content += '<tr><td><a target="_blank" href="salon/' + obj.sid + '">' + obj.name + '</a></td><td>' + obj.bid_value + '</td>' +
                    (obj.status == 1 ? '<td>Post Selected</td>' : '<td><a href="selectBid/' + obj.id + '/' + obj.postid + '">Select</a></td></tr>');
        });
        content += '</tbody><table>';
        var size = '';
        var title = 'Post Bids Detail';
        var footer = '<button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>';
        setModalBox(title, content, footer, size);
        $('#myModal').modal('show');
    });

}


//Model For View Product Details

function showProductDetail(appointmentID) {
    var url = "/partner/fashion/getProductDetail";
    $.get(API_URL + url + '/' + appointmentID, function (data) {
        var content = '<table id="example1" class="table table-bordered table-striped">' +
                '<thead>' +
                '<tr>' +
                '<th>Product Name</th>' +
                '<th>Image</th>' +
                '<th>Price</th>' +
                '</tr>' +
                '</thead><tbody>';
        var desc = '';
        $.each(data, function (index, obj) {
            content += '<tr><td>' + obj.product_name + '</td><td><img style="width:100px;" src="/../../assets/images/fashionproduct/' + obj.image + '"></td><td>' + obj.price + '</td></tr>';
            desc = obj.notes;
        });
        content += '</tbody><table>' +
                '<p id="ison">Description: <b>' + desc + '</b><p>';
        var size = '';
        var title = 'Product Detail';
        var footer = '<button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>';
        setModalBox(title, content, footer, size);
        $('#myModal').modal('show');
    });
}

//Model For View Product Details - User

function showProductDetailUser(appointmentID) {
    var url = "/getProductDetailUser";
    $.get(API_URL + url + '/' + appointmentID, function (data) {
        var content = '<table id="example1" class="table table-bordered table-striped">' +
                '<thead>' +
                '<tr>' +
                '<th>Product Name</th>' +
                '<th>Image</th>' +
                '<th>Price</th>' +
                '</tr>' +
                '</thead><tbody>';
        var desc = '';
        $.each(data, function (index, obj) {
            content += '<tr><td>' + obj.product_name + '</td><td><img style="width:100px;" src="assets/images/fashionproduct/' + obj.image + '"></td><td>' + obj.price + '</td></tr>';
            desc = obj.notes;
        });
        content += '</tbody><table>' +
                '<p id="ison">Description: <b>' + desc + '</b><p>';
        var size = '';
        var title = 'Product Detail';
        var footer = '<button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>';
        setModalBox(title, content, footer, size);
        $('#myModal').modal('show');
    });
}

//Add Appointment
function addAppointment(date, token) {
    var dt = new Date(date);
    var url = "/api/salonCustomerJson/" + salonUser.user_id;
    $.get(API_URL + url, function (data) {
        var custdata = '<option value="">Select By Name</option>';
        $.each(data, function (index, obj) {
            custdata += '<option value="' + obj.id + '">' + obj.full_name + '</option>';
        });
        $('#customer').append(custdata);
        $(".select2").select2();
        $("#formid").validationEngine();
        $(".timepicker").timepicker({
            showMeridian: false,
            showInputs: false
        });
        $('#date2').datepicker({
            autoclose: true,
            startDate: dt.getDate() + '/' + (dt.getMonth() + 1) + '/' + dt.getFullYear(),
            format: "dd-mm-yyyy"
        });
    });
    var url1 = "/api/salonServiceJson/" + salonUser.user_id;
    $.get(API_URL + url1, function (data) {
        var servicedata = '<option value="">Service Not Selected</option>';
        $.each(data, function (index, obj) {
            servicedata += '<option value="' + obj.salon_serv_id + '">' + obj.service + ' ( £ ' + (parseFloat(obj.offer_price) < parseFloat(obj.price) && parseFloat(obj.offer_price) !== 0 ? obj.offer_price : obj.price) + ')</option>';
        });
        $('#service').append(servicedata);
        $(".select2").select2();
    });

    var url2 = "/api/salonMemberJson/" + salonUser.user_id;
    $.get(API_URL + url2, function (data) {
        var memberdata = '';
        $.each(data, function (index, obj) {
            memberdata += '<option value="' + obj.id + '">' + obj.name + '</option>';
        });
        $('#member').append(memberdata);
        $(".select2").select2();
    });


    var content = '<form action="saveCalendarBooking" method="post" id="formid" enctype="multipart/form-data">' +
            '<div class="box-body">' +
            '<div class="row">' +
            '   <div class="col-md-12">' +
            '       <input type="hidden" name="_token" value=' + token + '>' +
            '       <div class="form-group">' +
            '           <label>Customer </label>' +
            '</div>' +
            ' <div class="row">' +
            ' <div class="col-md-9">' +
            '<select id="customer" name="customer"  class="form-control select2" style="width: 100%;">' +
            '</select>' +
            '</div>' +
            ' <div class="col-md-3">' +
            '<button class="btn btn-success btn-sm" type="button" onclick="$(\'#cust_dtl\').toggle(\'drop\');">ADD New Customer</button>' +
            '</div>' +
            '</div>' +
            '<div class="new_cust" id="cust_dtl" style="display:none;">' +
            '<div class="form-group">' +
            '<label for="register-form-name">Name:</label>' +
            '<input type="text" id="name" name="name" value="" class="form-control validate[required]" />' +
            '</div>' +
            '<div class="form-group">' +
            '<label for="register-form-email">Email Address:</label>' +
            '<input type="text" id="email" name="email" value="" class="form-control validate[required,custom[email]]" />' +
            '</div>' +
            '<div class="form-group">' +
            '<label for="register-form-phone">Phone:</label>' +
            '<input type="text" id="phone" name="phone" value="" class="form-control validate[required,minSize[7],custom[number]]"/>' +
            '</div>' +
            '</div>' +
            '       <div class="form-group">' +
            '           <label>Service</label>' +
            '<select id="service" name="service"  class="form-control select2 validate[required]" style="width: 100%;">' +
            '</select>' +
            '</div>' +
            ' <div class="row">' +
            '       <div class="form-group col-md-6">' +
            '           <label for="register-form-name">Date:</label>' +
            '           <input type="text" value=' + dt.getDate() + '-' + (dt.getMonth() + 1) + '-' + dt.getFullYear() + ' class="form-control bottommargin-sm past-enabled validate[required] text-input" id="date2" name="date"/>' +
            '       </div>' +
            '       <div class="bootstrap-timepicker col-md-6">' +
            '           <div class="form-group">' +
            '               <label>Time:</label>' +
            '               <div class="input-group">' +
            '                   <input type="text" id="time" name="time" value="' + moment(dt).format("HH:mm") + '" class="form-control timepicker">' +
            '                   <div class="input-group-addon">' +
            '                       <i class="fa fa-clock-o"></i>' +
            '                   </div>' +
            '               </div><!-- /.input group -->' +
            '           </div><!-- /.form group -->' +
            '       </div>' +
            '</div>' +
            '       <div class="form-group">' +
            '           <label>Staff</label>' +
            '<select id="member" name="member_id"  class="form-control select2 validate[required]" style="width: 100%;">' +
            '</select>' +
            '</div>' +
            '  </div>' +
            '</div>' +
            '</div>' +
            '<div class="box-footer">' +
            '   <button type="submit" class="btn btn-primary">Save</button>' +
            '</div>' +
            '</form>';
    var size = '';
    var title = 'Add Appointment';
    var footer = '<button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>';
    setModalBox(title, content, footer, size);
    $('#myModal').modal('show');
}

function selectOption(date, objResource, token, salonId) {
    objDate = date;
    var content = '<div class="box-body">' +
            '<div class="row">' +
            '<input type="hidden" id="selectedOption"/>' +
            '   <div style="margin-top: 7px;" class="col-sm-6 col-xs-12">' +
            '<button class="btn btn-lg btn-info btn-flat" type="button" onclick="$(\'#selectedOption\').val(1);$(\'#myModal\').modal(\'hide\');">Add Appointment</button>' +
            '</div>' +
            '   <div style="margin-top: 7px;" class="col-sm-6 col-xs-12">' +
            '<button class="btn btn-lg btn-info btn-flat" type="button" onclick="$(\'#selectedOption\').val(2);$(\'#myModal\').modal(\'hide\');" data-dismiss="modal">Add Unavailablility</button>' +
            '</div>' +
            '</div>';
    var size = '';
    var title = 'Select Option';
    var footer = '<button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>';
    setModalBox(title, content, footer, size);
    $('#myModal').modal('show');
    $('#myModal').on('hidden.bs.modal', function (e) {
        console.log("Test-Modal");
        var modal = $(this);
        var optionFlag = $("#selectedOption").val();
        if (optionFlag == 1) {
            addAppointment(objDate, token);
        } else if (optionFlag == 2) {
            addUnavailableTime(objDate, objResource, token, salonId);
        }
    });


    //
    //
}

//Add Unavailable Time
function addUnavailableTime(date, objResource, token, salonId) {
    var dt = new Date(date);
    var url = "/salonCustomerJson";
    $.get(API_URL + url, function (data) {
        var custdata = '<option value="">Select By Name</option>';
        $.each(data, function (index, obj) {
            custdata += '<option value="' + obj.id + '">' + obj.full_name + '</option>';
        });
        $('#customer').append(custdata);
        $(".select2").select2();
        $("#formid").validationEngine();
        $(".timepicker").timepicker({
            showMeridian: false,
            showInputs: false
        });
        $('#date2').datepicker({
            autoclose: true,
            startDate: dt.getDate() + '/' + (dt.getMonth() + 1) + '/' + dt.getFullYear(),
            format: "dd-mm-yyyy"
        });
    });

    var content = '<form action="saveStaffUnavailability" method="post" id="formid" enctype="multipart/form-data">' +
            '<div class="box-body">' +
            '<div class="row">' +
            '   <div class="col-md-12">' +
            '       <input type="hidden" name="_token" value=' + token + '>' +
            '       <input type="hidden" name="salon_id" value=' + salonId + '>' +
            '       <div class="form-group">' +
            '           <label>Staff Unavailable Time </label>' +
            '</div>' +
            ' <div class="row">' +
            ' <div class="col-md-9">' +
            '           <input type="text" value="' + objResource.title + '" class="form-control bottommargin-sm past-enabled validate[required] text-input" id="staff" name="staff"/>' +
            '           <input type="hidden" value="' + objResource.id + '" class="form-control bottommargin-sm past-enabled text-input" id="staff_id" name="staff_id"/>' +
            '</div>' +
            '</div>' +
            '<div class="row">' +
            '<div class="form-group col-md-6">' +
            '           <label for="register-form-name">Date:</label>' +
            '           <input type="text" value=' + dt.getDate() + '-' + (dt.getMonth() + 1) + '-' + dt.getFullYear() + ' class="form-control bottommargin-sm past-enabled validate[required] text-input" id="date2" name="noton"/>' +
            '       </div>' +
            '</div>' +
            ' <div class="row">' +
            '       <div class="bootstrap-timepicker col-md-6">' +
            '           <div class="form-group">' +
            '               <label>From Time:</label>' +
            '               <div class="input-group">' +
            '                   <input type="text" id="time" name="time_from" value="' + moment(dt).format("HH:mm") + '" class="form-control timepicker">' +
            '                   <div class="input-group-addon">' +
            '                       <i class="fa fa-clock-o"></i>' +
            '                   </div>' +
            '               </div><!-- /.input group -->' +
            '           </div><!-- /.form group -->' +
            '       </div>' +
            '       <div class="bootstrap-timepicker col-md-6">' +
            '           <div class="form-group">' +
            '               <label>To Time:</label>' +
            '               <div class="input-group">' +
            '                   <input type="to_text" id="time" name="time_to" value="' + moment(dt).format("HH:mm") + '" class="form-control timepicker">' +
            '                   <div class="input-group-addon">' +
            '                       <i class="fa fa-clock-o"></i>' +
            '                   </div>' +
            '               </div><!-- /.input group -->' +
            '           </div><!-- /.form group -->' +
            '       </div>' +
            '</div>' +
            '  </div>' +
            '</div>' +
            '</div>' +
            '<div class="box-footer">' +
            '   <button type="submit" class="btn btn-primary">Save</button>' +
            '</div>' +
            '</form>';
    var size = '';
    var title = 'Staff Unavailable Time';
    var footer = '<button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>';
    setModalBox(title, content, footer, size);
    $('#myModal').modal('show');
}



function staffSelectionChanged() {
    var staffId = $("#staffList").val();
    $('#calendar').fullCalendar('refetchResources');
    $('#calendar').fullCalendar('refetchEvents');
}